Bug 63530 - Update to 2.9.16
Summary: Update to 2.9.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-29 15:00 UTC by Ralf van der Enden
Modified: 2004-03-02 19:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2004-02-29 15:00:27 UTC
Update to 2.9.16

New:

- The Geobackend which makes it possible to send different answers to different IP ranges. Initial documentation can be found in pdns/modules/geobackend/README.
- qgen query generation tool. Nearly completely undocumented and hard to build too, it requires Boost. But very spiffy. Use cd pdns; make qgen to build it.

Bugfixes:

- The most reported bug ever was fixed. Zone2sql required the inclusion of unistd.h, except on Debian unstable.
- PowerDNS tried to listen on its control "pipe" which does not work. Probably harmless, but might have caused some oddities.
- The Packet Cache did not always set its TTL immediately, causing some packets to be inserted, even when running with the cache disabled (Mark Bergsma).
- Valgrind found some unitialized reads, causing bogus values in the priority field when it was not needed
- Valgrind found a bug in MTasker where we used delete instead of delete[].
- SOA serials and other parameters are unsigned. This means that very large SOA serial numbers would be messed up (Michel Stol, Stefano Straus)
- PowerDNS left its controlsocket around after exit and reported confusing errors if a socket was already in use.
- The recursor proxy did not work on big endian systems like SPARC and some MIPS processors (Remco Post)
- We no longer dump core on processing LOC records on UltraSPARC (Andrew Mulholland supplied a testing machine)

Improvements: 

- MySQL can now connect to a specified port again (Chris Anderton)
- When running chroot()ed and with master or slave support active, PowerDNS needs to resolve domain names to find slaves. This in turn may require access to certain libraries. Previously, these needed to be available in the chroot directory but by forcing an initial lookup, these libraries are now loaded before the chrooting.
- pdns_recursor was very slow after having done a larger number of queries because of the checks to see if a query should be throttled. This is now done using a set which is a lot faster than the previous full sequential scan.
- The throttling code may not have throttled as much as was configured.
- Yet another big LDAP update. The LDAP backend now loadbalances connections over several hosts (Norbert Sendetzky)
- Updated b.root-servers.net address in the recursor

Fix: 

To the committer:
Please remove /usr/ports/dns/powerdns/files/patch-pdns_backends_bind_zoneparser2_cc and the .orig files in /usr/ports/dns/powerdns and /usr/ports/dns/powerdns/files
Thank you.--zIQ9HgTQhEnGGnZM1p9qBmAKyF9QgJpIO7Ossa4sQyYWxn66
Content-Type: text/plain; name="pdns-2.9.16.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="pdns-2.9.16.diff"

diff -ruN powerdns.orig/Makefile powerdns/Makefile
--- powerdns.orig/Makefile	Sun Feb 29 14:29:51 2004
+++ powerdns/Makefile	Sun Feb 29 15:37:07 2004
@@ -5,8 +5,7 @@
 #
 
 PORTNAME=	powerdns
-PORTVERSION=	2.9.15
-PORTREVISION=	2
+PORTVERSION=	2.9.16
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://downloads.powerdns.com/releases/
 DISTNAME=	pdns-${PORTVERSION}
diff -ruN powerdns.orig/distinfo powerdns/distinfo
--- powerdns.orig/distinfo	Sun Feb 29 14:29:51 2004
+++ powerdns/distinfo	Sun Feb 29 14:33:48 2004
@@ -1 +1,2 @@
-MD5 (pdns-2.9.15.tar.gz) = 3465694b9638c29f19a25dd5b0a77559
+MD5 (pdns-2.9.16.tar.gz) = 7e9a859a5a21996dbf7b31cd61731dbc
+SIZE (pdns-2.9.16.tar.gz) = 767977
diff -ruN powerdns.orig/files/patch-pdns_backends_bind_zoneparser2_cc powerdns/files/patch-pdns_backends_bind_zoneparser2_cc
--- powerdns.orig/files/patch-pdns_backends_bind_zoneparser2_cc	Sun Feb 29 14:29:51 2004
+++ powerdns/files/patch-pdns_backends_bind_zoneparser2_cc	Thu Jan  1 01:00:00 1970
@@ -1,10 +0,0 @@
---- pdns/backends/bind/zoneparser2.cc.orig	Sat Jan 17 12:50:18 2004
-+++ pdns/backends/bind/zoneparser2.cc	Mon Jan 19 20:20:12 2004
-@@ -36,6 +36,7 @@
- #include "ahuexception.hh"
- #include "qtype.hh"
- #include <algorithm>
-+#include <unistd.h>
- using namespace std;
- 
- #include "zoneparser.hh"
Comment 1 Pav Lucistnik freebsd_committer freebsd_triage 2004-03-01 09:57:39 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 2 dirk.meyer 2004-03-02 07:56:30 UTC
This breaks use of local_startup in /etc/rc.conf:
sample:
local_startup="/usr/local/etc/rc.local"

-if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/${rc_file}\$"); then
-        echo "${rc_file}: Cannot determine PREFIX." >&2
-        echo "Please use the complete pathname." >&2
-        exit 64
-fi
+PREFIX=%%PREFIX%%

Please change PREFIX hardcoded before installation..

post-install:
 .if !exists(${STARTUP_SCRIPT})
-	${INSTALL_SCRIPT} ${FILESDIR}/pdns.sh.sample ${STARTUP_SCRIPT}
+	${SED} -e "s=%%PREFIX%%=${PREFIX}=" \
+		${FILESDIR}/pdns.sh.sample \
+		> ${WRKSRC}/pdns.sh.sample
+	${INSTALL_SCRIPT} ${WRKSRC}/pdns.sh.sample ${STARTUP_SCRIPT}
 .endif
 

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 3 Ralf van der Enden 2004-03-02 16:28:52 UTC
Hello freebsd-gnats-submit,

  Some small fixes to startup-script (fixed by Dirk Meyer and Ralf vd Enden).
  $PREFIX no longer hardcoded (fixed by Dirk Meyer).

------------ PATCH BEGINS HERE ------------
diff -ruN powerdns.orig/Makefile powerdns/Makefile
--- powerdns.orig/Makefile      Tue Mar  2 17:15:18 2004
+++ powerdns/Makefile   Tue Mar  2 17:17:24 2004
@@ -6,6 +6,7 @@
 
 PORTNAME=      powerdns
 PORTVERSION=   2.9.16
+PORTREVISION=  1
 CATEGORIES=    dns ipv6
 MASTER_SITES=  http://downloads.powerdns.com/releases/
 DISTNAME=      pdns-${PORTVERSION}
@@ -127,7 +128,10 @@
 .endif
 .if !exists(${STARTUP_SCRIPT})
        ${ECHO_MSG} "Installing ${STARTUP_SCRIPT} startup file."
-       ${INSTALL_SCRIPT} ${FILESDIR}/pdns.sh.sample ${STARTUP_SCRIPT}
+       ${SED} -e "s=%%PREFIX%%=${PREFIX}=" \
+               ${FILESDIR}/pdns.sh.sample  \
+               > ${WRKSRC}/pdns.sh.sample
+       ${INSTALL_SCRIPT} ${WRKSRC}/pdns.sh.sample ${STARTUP_SCRIPT}
 .endif
 
 .include <bsd.port.post.mk>
diff -ruN powerdns.orig/files/pdns.sh.sample powerdns/files/pdns.sh.sample
--- powerdns.orig/files/pdns.sh.sample  Tue Mar  2 17:15:18 2004
+++ powerdns/files/pdns.sh.sample       Tue Mar  2 17:22:04 2004
@@ -2,11 +2,7 @@
 
 rc_file=${0##*/}
 
-if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/${rc_file}\$"); then
-        echo "${rc_file}: Cannot determine PREFIX." >&2
-        echo "Please use the complete pathname." >&2
-        exit 64
-fi
+PREFIX=%%PREFIX%%
 
 pdns=${PREFIX}/sbin/pdns_server
 pdnscontrol=${PREFIX}/bin/pdns_control
@@ -18,6 +14,7 @@
  if [ -f $pdns ]; then
   echo -n ' PowerDNS'
   if [ -f $pdnsrecursor ]; then
+   rm $recursorpid >/dev/null 2>&1
    $pdnsrecursor >/dev/null 2>&1
   fi
   $pdns
------------- PATCH ENDS HERE -------------


-- 
Best regards,
 Ralf                          mailto:tremere@cainites.net
Comment 4 Pav Lucistnik freebsd_committer freebsd_triage 2004-03-02 19:12:28 UTC
State Changed
From-To: closed->open

Re-open, new patch received as followup to this ticket 


Comment 5 Pav Lucistnik freebsd_committer freebsd_triage 2004-03-02 19:12:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll do it
Comment 6 Pav Lucistnik freebsd_committer freebsd_triage 2004-03-02 19:28:05 UTC
State Changed
From-To: open->closed

Committed, thanks!